Package com.microblink.blinkid.metadata.detection.points

# Class DisplayablePointsDetection

java.lang.Object
com.microblink.blinkid.metadata.DisplayableObject
com.microblink.blinkid.metadata.detection.DisplayableDetection
com.microblink.blinkid.metadata.detection.points.DisplayablePointsDetection

public final class DisplayablePointsDetection extends DisplayableDetection
Represents points of detection that can be displayed on screen.

- ## Field Summary

  ### Fields inherited from class com.microblink.blinkid.metadata.detection.DisplayableDetection

  `mDetectionStatus`

  ### Fields inherited from class com.microblink.blinkid.metadata.DisplayableObject

  `mTransformMatrix`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DisplayablePointsDetection(int detectionStatus, float[] transformMatrix, float[] points, int pointsType)`
  Constructor for displayable points detection.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.microblink.blinkid.geometry.PointSet`
  `getPointSet()`
  Returns set of points of interest that represent the detection.
  `PointsType`
  `getPointsType()`
  Returns the type of points represented by this detection object.
  `com.microblink.blinkid.geometry.PointSet`
  `getTransformedPointSet()`
  Returns set of points of interest that represent the detection in normalized coordinate system of visible camera frame.

  ### Methods inherited from class com.microblink.blinkid.metadata.detection.DisplayableDetection

  `getDetectionStatus`

  ### Methods inherited from class com.microblink.blinkid.metadata.DisplayableObject

  `getTransformMatrix`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DisplayablePointsDetection

    public DisplayablePointsDetection(int detectionStatus, @Size(9L) @NonNull float[] transformMatrix, @Size(multiple=2L) @NonNull float[] points, int pointsType)
    Constructor for displayable points detection. Usually invoked from native code.
    Parameters:
      `detectionStatus` - Detection status from native library.
      `transformMatrix` - Transformation matrix from native library.
      `points` - Points representing the detection result
      `pointsType` - Type of points to be displayed.

- ## Method Details

  - ### getPointSet

    @NonNull public com.microblink.blinkid.geometry.PointSet getPointSet()
    Returns set of points of interest that represent the detection.

    Points are in coordinate system of image on which detection detection was performed.

    Returns:
      set of points of interest that represent the detection.

  - ### getTransformedPointSet

    @NonNull public com.microblink.blinkid.geometry.PointSet getTransformedPointSet()
    Returns set of points of interest that represent the detection in normalized coordinate system of visible camera frame.

    The normalized coordinate system of visible camera frame is coordinate system whose top left position is at coordinates (0,0), and bottom right is at coordinates (1,1). It is oriented in landscape right orientation.

    Returns:
      the set of points of interest that represent the detection in normalized coordinate system of visible camera frame.

  - ### getPointsType

    @NonNull public PointsType getPointsType()
    Returns the type of points represented by this detection object.
    Returns:
      the type of points represented by this detection object.